using PkmnLib.Plugin.Gen7.Libraries.Battling;

namespace PkmnLib.Plugin.Gen7.Scripts.Items.Pokeballs;

[ItemScript("repeat_ball")]
public class RepeatBall : PokeballScript
{
    /// <inheritdoc />
    public RepeatBall(IItem item) : base(item)
    {
    }

    /// <inheritdoc />
    public override void ChangeCatchRate(IPokemon target, ref byte catchRate)
    {
        if (target.Library.CaptureLibrary is Gen7CaptureLibrary captureLibrary &&
            captureLibrary.HasPokemonBeenCaughtBefore(target.Species))
        {
            catchRate = catchRate.MultiplyOrMax(3.5f);
        }
    }
}